Bug 62842

Summary: HTTP(S) Test Script Recorder : Brotli compression is not supported leading to "Content Encoding Error"
Product: JMeter Reporter: Philippe Mouawad <p.mouawad>
Component: MainAssignee: JMeter issues mailing list <issues>
Status: RESOLVED FIXED    
Severity: normal CC: p.mouawad
Priority: P2 Keywords: FixedInTrunk
Version: 4.0   
Target Milestone: JMETER_5.1   
Hardware: All   
OS: All   

Comment 1 Philippe Mouawad 2018-10-21 20:08:52 UTC
We should upgrade the brotli java dec once released:

https://github.com/google/brotli/issues/715
Comment 2 Philippe Mouawad 2018-10-24 20:54:40 UTC
Author: pmouawad
Date: Wed Oct 24 20:52:25 2018
New Revision: 1844791

URL: http://svn.apache.org/viewvc?rev=1844791&view=rev
Log:
Bug 62842 - HTTP(S) Test Script Recorder : Brotli compression is not supported leading to "Content Encoding Error"
Bugzilla Id: 62842

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/proxy/Proxy.java
    jmeter/trunk/xdocs/changes.xml